package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglBxd;
import com.mosty.base.model.query.jcgl.TbJcglBxdNearByQuery;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 巡防区域必巡点 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-16
 */
@Mapper
public interface TbJcglBxdMapper extends BaseMapper<TbJcglBxd> {

    int deleteBatch(@Param("list") List<String> list);

    @ApiOperation("添加必循点信息")
    int insertExtity(TbJcglBxd bxd);

    @ApiOperation("修改必循点西悉尼")
    int updateEntity(TbJcglBxd bxd);

    @ApiOperation("修改之前生成的必巡点的信息")
    void updateYesterdayBxd();

    @ApiOperation("查询附近必巡点")
    List<TbJcglBxd> selectNearbyList(TbJcglBxdNearByQuery query);

}
